SDL_MessageBoxData Struct Reference

`#include <SDL_messagebox.h>`

Collaboration diagram for SDL_MessageBoxData:
[legend]

## Data Fields

SDL_MessageBoxFlags | flags
SDL_Window * | window
const char * | title
const char * | message
int | numbuttons
const SDL_MessageBoxButtonData * | buttons
const SDL_MessageBoxColorScheme * | colorScheme

## Detailed Description

MessageBox structure containing title, text, window, etc.

Since
  This struct is available since SDL 3.2.0.

Definition at line 128 of file SDL_messagebox.h.

## Field Documentation

## buttons

const SDL_MessageBoxButtonData* SDL_MessageBoxData::buttons

Definition at line 136 of file SDL_messagebox.h.

## colorScheme

const SDL_MessageBoxColorScheme* SDL_MessageBoxData::colorScheme

SDL_MessageBoxColorScheme, can be NULL to use system settings

Definition at line 138 of file SDL_messagebox.h.

## flags

SDL_MessageBoxFlags SDL_MessageBoxData::flags

Definition at line 130 of file SDL_messagebox.h.

## message

const char* SDL_MessageBoxData::message

UTF-8 message text

Definition at line 133 of file SDL_messagebox.h.

## numbuttons

int SDL_MessageBoxData::numbuttons

Definition at line 135 of file SDL_messagebox.h.

## title

const char* SDL_MessageBoxData::title

UTF-8 title

Definition at line 132 of file SDL_messagebox.h.

## window

SDL_Window* SDL_MessageBoxData::window

Parent window, can be NULL

Definition at line 131 of file SDL_messagebox.h.

The documentation for this struct was generated from the following file:

- SDL_messagebox.h